==========================
pyi-makespec
==========================

.. raw:: manpage

   .\" disable justification (adjust text to left margin only)
   .ad l
   \


SYNOPSIS
==========

``pyi-makespec`` <options> SCRIPT [SCRIPT ...]

DESCRIPTION
============

The spec file is the description of what you want PyInstaller to do
with your program. ``pyi-makespec`` is a simple wizard to create spec
files that cover basic usages::

       pyi-makespec [--onefile] yourprogram.py

By default, ``pyi-makespec`` generates a spec file that tells
PyInstaller to create a distribution directory contains the main
executable and the dynamic libraries. The option :option:`--onefile`
specifies that you want PyInstaller to build a single file with
everything inside.

In most cases the specfile generated by ``pyi-makespec`` is all you
need. If not, see `When things go wrong` in the manual and be sure to
read the introduction to `Spec Files`.


OPTIONS
========

.. include:: _pyi-makespec-options.tmp

ENVIRONMENT VARIABLES
=====================

:PYINSTALLER_CONFIG_DIR:
   This changes the directory where PyInstaller caches some files.
   The default location for this is operating system dependent,
   but is typically a subdirectory of the home directory.


SEE ALSO
=============

``pyinstaller``\(1),
The PyInstaller Manual |Manual|,
Project Homepage |Homepage|


.. include:: ../_common_definitions.txt

.. Emacs config:
 Local Variables:
 mode: rst
 ispell-local-dictionary: "american"
 End:
